=== debian/control ===
Source: ros-noetic-pilz-utils
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), clang-tidy, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-code-coverage, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-rosunit
Homepage: https://wiki.ros.org/pilz_utils
Standards-Version: 3.9.2

Package: ros-noetic-pilz-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The pilz_utils package contains utilities used by Pilz packages
